---
title: List Silences
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Alerting](https://developers.cloudflare.com/api/go/resources/alerting)

[Silences](https://developers.cloudflare.com/api/go/resources/alerting/subresources/silences)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Silences

client.Alerting.Silences.List(ctx, query) (\*SinglePage\[[SilenceListResponse](<https://developers.cloudflare.com/api/go/resources/alerting#(resource)%20alerting.silences%20%3E%20(model)%20SilenceListResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/alerting/v3/silences

Gets a list of silences for an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zero Trust: PII Read``Notifications Write``Notifications Read``Account Settings Write``Account Settings Read`

##### ParametersExpand Collapse

<details>

<summary>

query SilenceListParams

</summary>

AccountID param.Field\[string]

The account id

maxLength32

<a href="#(resource)%20alerting.silences%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20alerting.silences%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SilenceListResponse struct{…}

</summary>

ID stringOptional

Silence ID

maxLength32

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20SilenceListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt stringOptional

When the silence was created.

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20SilenceListResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

EndTime stringOptional

When the silence ends.

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20SilenceListResponse%20%3E%20(schema)%20%3E%20(property)%20end_time">Link to this property</a>

PolicyID stringOptional

The unique identifier of a notification policy

maxLength32

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20SilenceListResponse%20%3E%20(schema)%20%3E%20(property)%20policy_id">Link to this property</a>

StartTime stringOptional

When the silence starts.

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20SilenceListResponse%20%3E%20(schema)%20%3E%20(property)%20start_time">Link to this property</a>

UpdatedAt stringOptional

When the silence was modified.

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20SilenceListResponse%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

[Link to this property](<#(resource)%20alerting.silences%20%3E%20(model)%20SilenceListResponse%20%3E%20(schema)>)

### List Silences

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/alerting"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Alerting.Silences.List(context.TODO(), alerting.SilenceListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f878e90c23f44126ae3cfc399f646977",
      "created_at": "2022-01-01T00:00:00Z",
      "end_time": "2022-01-01T00:00:00Z",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "start_time": "2022-01-01T00:00:00Z",
      "updated_at": "2022-01-01T00:00:00Z"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f878e90c23f44126ae3cfc399f646977",
      "created_at": "2022-01-01T00:00:00Z",
      "end_time": "2022-01-01T00:00:00Z",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "start_time": "2022-01-01T00:00:00Z",
      "updated_at": "2022-01-01T00:00:00Z"
    }
  ]
}
```